summaryrefslogtreecommitdiff
path: root/.github/workflows/archlinux.sh
diff options
context:
space:
mode:
authormbkma <[email protected]>2026-01-28 09:00:33 +0100
committermbkma <[email protected]>2026-04-05 10:13:35 +0200
commit4521e772e5cafd81104f75257896bdef28c5e32b (patch)
treef9f29497762f30fa3a414df91ec1e75538b3ae56 /.github/workflows/archlinux.sh
parentb5bb59d19abf48583f04448c0dd5fee5befa3724 (diff)
downloadmate-panel-gh-actions.tar.bz2
mate-panel-gh-actions.tar.xz
ci: migrate to gh actionsgh-actions
Diffstat (limited to '.github/workflows/archlinux.sh')
-rwxr-xr-x.github/workflows/archlinux.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/.github/workflows/archlinux.sh b/.github/workflows/archlinux.sh
new file mode 100755
index 00000000..9b2453d9
--- /dev/null
+++ b/.github/workflows/archlinux.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/bash
+
+set -eo pipefail
+
+# Use grouped output messages
+infobegin() {
+ echo "::group::${1}"
+}
+infoend() {
+ echo "::endgroup::"
+}
+
+# Required packages on Archlinux
+requires=(
+ ccache # Use ccache to speed up build
+ clang # Build with clang on Archlinux
+)
+
+# https://gitlab.archlinux.org/archlinux/packaging/packages/mate-panel
+requires+=(
+ autoconf-archive
+ dbus-glib
+ dconf-editor
+ gcc
+ gettext
+ git
+ glib2-devel
+ gobject-introspection
+ gtk-layer-shell
+ itstool
+ libcanberra
+ libmateweather
+ libsm
+ libwnck3
+ make
+ mate-common
+ mate-desktop
+ mate-menus
+ which
+ yelp-tools
+)
+
+infobegin "Update system"
+pacman --noconfirm -Syu
+infoend
+
+infobegin "Install dependency packages"
+pacman --noconfirm -S ${requires[@]}
+infoend